/*
 * @(#)KonstantenGTM.java   08.03.13
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.gtm.datvew.konstanten;

//~ NICHT JDK IMPORTE =========================================================

import de.inovat.buv.gtm.datvew.Activator;
import de.inovat.buv.projektlib.speicher.OrdnerEinstellungen;

import static de.inovat.buv.inovat.lib.konstanten.Konstanten.FILESEPARATOR;

//~ KLASSEN ===================================================================

/**
 * Klasse enthlt Konstanten.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 155 $ / $Date: 2014-10-07 11:11:48 +0200 (Di, 07 Okt 2014) $ / ($Author: LG $)
 */
public class KonstantenGTM {

    /** ID von diesem PlugIn. Wird als Startstring fr alle ParameterIDs benutzt. */
    public final static String AKTIVATOR_ID = Activator.PLUGIN_ID + ".";

    /** ParameterID fr die Tabelleneinstellungen. */
    public final static String ALLE_TABELLEN_VERWALTUNGEN = String.format("%stabellenverwaltung", AKTIVATOR_ID);

    /** ParameterID fr die Spaltenauswahl.. */
    public final static String ALLE_SPALTENAUSWAHL = String.format("%sspaltenauswahl", AKTIVATOR_ID);

    /** ParameterID fr die Sortierung. */
    public final static String ALLE_SORTIERUNGEN = String.format("%ssortierungen", AKTIVATOR_ID);

    /** ParameterID fr die Filter. */
    public final static String ALLE_FILTER = String.format("%sfilter", AKTIVATOR_ID);

    /** Ordner fr die Ausgabe-Dateien. */
    public final static String ORDNER_iGTM = "iGTM";

    /** Ordner, wo GTM-Export-CSV-Datei gespeichert werden. */
    public final static String ORDNER_EXPORT_CSV;

    /** Ordner, wo GTM-Export-HTML-Datei gespeichert werden. */
    public final static String ORDNER_EXPORT_HTML;

    //~ STATISCHE INITIALISIERER ==============================================

    static {
        if (OrdnerEinstellungen.IST_AUSGABE_UNTER_ORDNER_EINGESCHALTET) {
            ORDNER_EXPORT_HTML = String.format("%s%sExport%sHTML-Dateien", ORDNER_iGTM, FILESEPARATOR, FILESEPARATOR);
            ORDNER_EXPORT_CSV  = String.format("%s%sExport%sCSV-Dateien", ORDNER_iGTM, FILESEPARATOR, FILESEPARATOR);
        } else {
            ORDNER_EXPORT_HTML = "";
            ORDNER_EXPORT_CSV  = "";
        }
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 08.03.13
