/*
 * @(#)Kri2Vew.java   30.09.10
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.gtm.datvew.tls;

//~ NICHT JDK IMPORTE =========================================================

import de.bsvrz.dav.daf.main.config.DataModel;
import de.bsvrz.dav.daf.main.config.SystemObject;

import de.inovat.buv.projektlib.dav.DavDatenVew;

//~ JDK IMPORTE ===============================================================

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

//~ KLASSEN ===================================================================

/**
 * Klasse verwaltet die KRI-Objekte von Typ typ.kri2_b und typ.kri2b
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 155 $ / $Date: 2014-10-07 11:11:48 +0200 (Di, 07 Okt 2014) $ / ($Author: LG $)
 */
public class Kri2Vew {

    /** Einzige Instanz der Klasse Kri2Vew. */
    private static Kri2Vew _instanz = new Kri2Vew();

    //~ FELDER ================================================================

    /**
     * Die unvernderte, nach ID sortierte Liste aller KRI2_B.
     */
    private List<Kri2> _listeKri2_b = new ArrayList<Kri2>();

    /**
     * Die unvernderte, nach ID sortierte Liste aller KRI2B.
     */
    private List<Kri2> _listeKri2b = new ArrayList<Kri2>();

    //~ KONSTRUKTOREN  (und vom Konstruktor verwendete Methoden) ==============

    /**
     * Erzeugt einzige Instanz der Klasse Kri2Vew.
     */
    private Kri2Vew() {
        initDaten();
    }

    //~ GET METHODEN ==========================================================

    /**
     * Gibt einzige Instanz der Klasse Kri2Vew zurck.
     *
     * @return Einzige Instanz der Klasse Kri2Vew.
     */
    public static Kri2Vew getInstanz() {
        return _instanz;
    }

    /**
     * Getter fr Eigenschaft 'listeKri2_b'.
     *
     * @return Wert der Eigenschaft 'listeKri2_b'.
     *
     * @see #_listeKri2_b
     */
    public List<Kri2> getListeKri2_b() {
        return _listeKri2_b;
    }

    /**
     * Getter fr Eigenschaft 'listeKri2b'.
     *
     * @return Wert der Eigenschaft 'listeKri2b'.
     *
     * @see #_listeKri2b
     */
    public List<Kri2> getListeKri2b() {
        return _listeKri2b;
    }

    //~ METHODEN ==============================================================

    /**
     * Initialisiere die Liste aller KRI2B und KRI"_B.
     */
    private void initDaten() {

        // Hole Datenverteiler Zugriff:
        DataModel davKonf = DavDatenVew.getInstanz().getDav().getDataModel();

        // Bestimme aller Objekte vom Typ typ.kri2_b:
        if (davKonf.getType("typ.kri2_b") != null) {
            for (SystemObject kri2b : davKonf.getType("typ.kri2_b").getElements()) {
                _listeKri2_b.add(new Kri2(kri2b));
            }
        }

        // Bestimme aller Objekte vom Typ typ.kri2b:
        if (davKonf.getType("typ.kri2b") != null) {
            for (SystemObject kri2b : davKonf.getType("typ.kri2b").getElements()) {
                _listeKri2b.add(new Kri2(kri2b));
            }
        }

        // Sortiere die beiden Listen nach ID:
        Collections.sort(_listeKri2b, new Comparator<Kri2>() {
            public int compare(Kri2 k1, Kri2 k2) {
                return k1.getId().compareTo(k2.getId());
            }
        });
        Collections.sort(_listeKri2_b, new Comparator<Kri2>() {
            public int compare(Kri2 k1, Kri2 k2) {
                return k1.getId().compareTo(k2.getId());
            }
        });
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 17.09.12
