/*
 * @(#)ImportBenutzerEinstellungen.java   03.09.10
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.plugin.gtm.bast.gui;

//~ KLASSEN ===================================================================

/**
 * Die Klasse reprsentiert die Importbenutzereinstellungen.
 *
 * @author inovat
 * @author Dagmar Rostek (DR)
 * @version $Revision: 395 $ / $Date: 2013-06-19 14:41:05 +0200 (Mi, 19 Jun 2013) $ / ($Author: LG $)
 */
public class ImportBenutzerEinstellungen {
    private String  _ftpServerPort = "21";
    private boolean _istFtp        = true;

    /** Gibt die mglichen BASt-Band Formate an. */
    private boolean _bast2004;
    private boolean _bast2007;
    private String  _ftpServerBenutzer;
    private String  _ftpServerPasswort;
    private String  _ftpServerURL;
    private boolean _passivmodus;

    //~ KONSTRUKTOREN  (und vom Konstruktor verwendete Methoden) ==============

    /**
     * WICHTIG, Methode wird vom XML-Decoder bentigt.
     *
     */
    public ImportBenutzerEinstellungen() {}

    public ImportBenutzerEinstellungen(boolean bast2004, boolean bast2007,                  //
                                       String ftpServerBenutzer, String ftpServerPasswort,  //
                                       String ftpServerURL, String ftpServerPort,           //
                                       boolean passivmodus, boolean istFtp) {
        _bast2004          = bast2004;
        _bast2007          = bast2007;
        _ftpServerBenutzer = ftpServerBenutzer;
        _ftpServerPasswort = ftpServerPasswort;
        _ftpServerURL      = ftpServerURL;
        _ftpServerPort     = ftpServerPort;
        _passivmodus       = passivmodus;
        _istFtp            = istFtp;
    }

    //~ GET METHODEN ==========================================================

    /**
     * @return the ftpServerBenutzer
     */
    public String getFtpServerBenutzer() {
        return _ftpServerBenutzer;
    }

    /**
     * @return the ftpServerPasswort
     */
    public String getFtpServerPasswort() {
        return _ftpServerPasswort;
    }

    /**
     * Getter fr Eigenschaft 'ftpServerPort'.
     *
     * @return Wert der Eigenschaft 'ftpServerPort'.
     *
     * @see #_ftpServerPort
     */
    public String getFtpServerPort() {
        return _ftpServerPort;
    }

    /**
     * @return the ftpServerURL
     */
    public String getFtpServerURL() {
        return _ftpServerURL;
    }

    /**
     * @return the bast2004
     */
    public boolean isBast2004() {
        return _bast2004;
    }

    /**
     * @return the bast2007
     */
    public boolean isBast2007() {
        return _bast2007;
    }

    /**
     * Getter fr Eigenschaft 'istFtp'.
     *
     * @return Wert der Eigenschaft 'istFtp'.
     *
     * @see #_istFtp
     */
    public boolean isIstFtp() {
        return _istFtp;
    }

    /**
     *     Getter fr Eigenschaft 'passivmodus'.
     *
     *     @return Wert der Eigenschaft 'passivmodus'.
     *
     *     @see #_passivmodus
     */
    public boolean isPassivmodus() {
        return _passivmodus;
    }

    //~ SET METHODEN ==========================================================

    /**
     * @param bast2004 the bast2004 to set
     */
    public void setBast2004(boolean bast2004) {
        _bast2004 = bast2004;
    }

    /**
     * @param bast2007 the bast2007 to set
     */
    public void setBast2007(boolean bast2007) {
        _bast2007 = bast2007;
    }

    /**
     * @param ftpServerBenutzer the ftpServerBenutzer to set
     */
    public void setFtpServerBenutzer(String ftpServerBenutzer) {
        _ftpServerBenutzer = ftpServerBenutzer;
    }

    /**
     * @param ftpServerPasswort the ftpServerPasswort to set
     */
    public void setFtpServerPasswort(String ftpServerPasswort) {
        _ftpServerPasswort = ftpServerPasswort;
    }

    /**
     * Setter fr Eigenschaft 'ftpServerPort'.
     *
     * @param ftpServerPort Wert zum Setzen der Eigenschaft 'ftpServerPort'.
     *
     * @see #_ftpServerPort
     */
    public void setFtpServerPort(String ftpServerPort) {
        _ftpServerPort = ftpServerPort;
    }

    /**
     * @param ftpServerURL the ftpServerURL to set
     */
    public void setFtpServerURL(String ftpServerURL) {
        _ftpServerURL = ftpServerURL;
    }

    /**
     * Setter fr Eigenschaft 'istFtp'.
     *
     * @param istFtp Wert zum Setzen der Eigenschaft 'istFtp'.
     *
     * @see #_istFtp
     */
    public void setIstFtp(boolean istFtp) {
        _istFtp = istFtp;
    }

    /**
     * Setter fr Eigenschaft 'passivmodus'.
     *
     * @param passivmodus Wert zum Setzen der Eigenschaft 'passivmodus'.
     *
     * @see #_passivmodus
     */
    public void setPassivmodus(boolean passivmodus) {
        _passivmodus = passivmodus;
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 19.06.13
