/*
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.plugin.gtm.visualisierung;

//~ NICHT JDK IMPORTE =========================================================

import de.inovat.buv.plugin.gtm.visualisierung.aktionen.AktionenVisualisierung;
import de.inovat.buv.plugin.gtm.visualisierung.ganglinien.GanglinienGUI;
import de.inovat.buv.plugin.gtm.visualisierung.hilfe.HilfeVew;
import de.inovat.buv.projektlib.rechtevew.aktionen.AbstrakteSichtMitBerechtigung;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

//~ KLASSEN ===================================================================

/**
 * TODO testen
 * 
 * Zeigt die Sicht "Ganglinien".
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 88 $ / $Date: 2012-03-09 16:20:38 +0100 (Fr, 09 Mrz 2012) $ / ($Author: LG $)
 */
public class ViewGanglinien extends AbstrakteSichtMitBerechtigung {

    /** ID der Sicht "Ganglinien". */
    public static final String ID = "de.inovat.buv.plugin.gtm.visualisierung.ganglinien.view";

    //~ FELDER ================================================================

    /** GUI-Instanz. */
    private GanglinienGUI _gui;

    //~ METHODEN ==============================================================

    @Override
    public void dispose() {
        if (_gui != null) {
            if (_gui.getToolkit() != null) {
                _gui.getToolkit().dispose();
            }

            if (_gui.getGrafik().getImage() != null) {
                _gui.getGrafik().getImage().dispose();
            }
        }

        super.dispose();
    }

    //~ GET METHODEN ==========================================================

    @Override
    public String getBerechtigungsFunktionId() {
        return AktionenVisualisierung.FUNKTION_ID_GANGLINIE;
    }

    @Override
    public String getHilfeContextId() {
        return HilfeVew.getInstanz().ermittleIdFuerAnker(HilfeVew.ANKER_GANGLINIEN);
    }

    //~ METHODEN ==============================================================

    @Override
    public Control initGUI(Composite parent) {
        _gui = new GanglinienGUI(parent);

        return _gui;
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 23.10.13
