/*
 * Copyright (c) 2010 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kniss
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Contact Information:
 * inovat, Dipl.-Ing. H. C. Kniss
 * Koelner Strasse 30
 * D-50859 Koeln
 * +49 (0)2234 4301 800
 * info@invat.de
 * www.inovat.de
 */



package de.inovat.buv.plugin.gtm.visualisierung.karte;

//~ NICHT JDK IMPORTE =========================================================

import de.bsvrz.dav.daf.main.ClientReceiverInterface;
import de.bsvrz.dav.daf.main.ResultData;

import de.inovat.buv.projektlib.konstanten.KonstantenGUIResource;

import org.eclipse.swt.custom.ScrolledComposite;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.events.MouseMoveListener;
import org.eclipse.swt.events.PaintEvent;
import org.eclipse.swt.events.PaintListener;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Canvas;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import static de.inovat.buv.plugin.gtm.visualisierung.karte.KarteGUIVew.AR_MASSSTAB_NAMEN;

//~ KLASSEN ===================================================================

/**
 * Klasse erzeugt das GUI 'bersichtskarte'.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 406 $ / $Date: 2013-08-01 10:54:54 +0200 (Do, 01 Aug 2013) $ / ($Author: LG $)
 */
public class KarteGUI extends Composite implements ClientReceiverInterface {
    private Button[] _arRbtnMassstab = new Button[AR_MASSSTAB_NAMEN.length];
    private Canvas   _canvasKarte;
    private Button   _cbtnKri2_b;
    private Button   _cbtnKri2b;
    private Button   _cbtnZaehlstellen;
    private Combo    _comboKri2_b;
    private Combo    _comboKri2b;
    private Combo    _comboZs;

    /** Instanz GUI-Verwaltung. */
    private KarteGUIVew       _guiVew;
    private Label             _lbLetzteStatusAenderung;
    private ScrolledComposite _scompKarte;
    private Text              _txtZsFilter;

    //~ KONSTRUKTOREN  (und vom Konstruktor verwendete Methoden) ==============

    /**
     * Erzeugt eine Instanz der Klasse NetzDarstellungGUI.
     *
     * @param parent Parent-Composite.
     */
    public KarteGUI(Composite parent) {
        super(parent, SWT.NONE);

        //
        _guiVew = new KarteGUIVew(this);

        //
        _guiVew.anmeldenDavFuerDeFehlerStatusUeberwachung();

        //
        initGUI();

        //
        _guiVew.initialisiereGui();
    }

    //~ GET METHODEN ==========================================================

    /**
     * Getter fr Eigenschaft 'arRbtnMassstab'.
     *
     * @return Wert der Eigenschaft 'arRbtnMassstab'.
     *
     * @see #_arRbtnMassstab
     */
    public Button[] getArRbtnMassstab() {
        return _arRbtnMassstab;
    }

    /**
     * Getter fr Eigenschaft 'canvasKarte'.
     *
     * @return Wert der Eigenschaft 'canvasKarte'.
     *
     * @see #_canvasKarte
     */
    public Canvas getCanvasKarte() {
        return _canvasKarte;
    }

    /**
     * Getter fr Eigenschaft 'cbtnKri2_b'.
     *
     * @return Wert der Eigenschaft 'cbtnKri2_b'.
     *
     * @see #_cbtnKri2_b
     */
    public Button getCbtnKri2_b() {
        return _cbtnKri2_b;
    }

    /**
     * Getter fr Eigenschaft 'cbtnKri2b'.
     *
     * @return Wert der Eigenschaft 'cbtnKri2b'.
     *
     * @see #_cbtnKri2b
     */
    public Button getCbtnKri2b() {
        return _cbtnKri2b;
    }

    /**
     * Getter fr Eigenschaft 'cbtnZaehlstellen'.
     *
     * @return Wert der Eigenschaft 'cbtnZaehlstellen'.
     *
     * @see #_cbtnZaehlstellen
     */
    public Button getCbtnZaehlstellen() {
        return _cbtnZaehlstellen;
    }

    /**
     * Getter fr Eigenschaft 'comboKri2_b'.
     *
     * @return Wert der Eigenschaft 'comboKri2_b'.
     *
     * @see #_comboKri2_b
     */
    public Combo getComboKri2_b() {
        return _comboKri2_b;
    }

    /**
     * Getter fr Eigenschaft 'comboKri2b'.
     *
     * @return Wert der Eigenschaft 'comboKri2b'.
     *
     * @see #_comboKri2b
     */
    public Combo getComboKri2b() {
        return _comboKri2b;
    }

    /**
     *     Getter fr Eigenschaft 'comboZs'.
     *
     *     @return Wert der Eigenschaft 'comboZs'.
     *
     *     @see #_comboZs
     */
    public Combo getComboZs() {
        return _comboZs;
    }

    /**
     *     Getter fr Eigenschaft 'guiVew'.
     *
     *     @return Wert der Eigenschaft 'guiVew'.
     *
     *     @see #_guiVew
     */
    public KarteGUIVew getGuiVew() {
        return _guiVew;
    }

    /**
     * Getter fr Eigenschaft 'lbLetzteStatusAenderung'.
     *
     * @return Wert der Eigenschaft 'lbLetzteStatusAenderung'.
     *
     * @see #_lbLetzteStatusAenderung
     */
    public Label getLbLetzteStatusAenderung() {
        return _lbLetzteStatusAenderung;
    }

    /**
     * Getter fr Eigenschaft 'scompKarte'.
     *
     * @return Wert der Eigenschaft 'scompKarte'.
     *
     * @see #_scompKarte
     */
    public ScrolledComposite getScompKarte() {
        return _scompKarte;
    }

    /**
     *     Getter fr Eigenschaft 'txtZsFilter'.
     *
     *     @return Wert der Eigenschaft 'txtZsFilter'.
     *
     *     @see #_txtZsFilter
     */
    public Text getTxtZsFilter() {
        return _txtZsFilter;
    }

    //~ METHODEN ==============================================================

    /**
     * Initialisiert die Sicht.
     */
    public void initGUI() {
        setLayout(new GridLayout(1, false));

        ScrolledComposite scompAllgemein = new ScrolledComposite(this, SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL);

        scompAllgemein.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
        scompAllgemein.setExpandHorizontal(true);
        scompAllgemein.setExpandVertical(true);

        Composite compAllgemein = new Composite(scompAllgemein, SWT.NONE);

        compAllgemein.setLayout(new GridLayout(2, false));

        //
        Composite compVew = new Composite(compAllgemein, SWT.NONE);

        compVew.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 3, 1));
        compVew.setLayout(new GridLayout(1, false));

        //
        Group grpMassstab = new Group(compVew, SWT.NONE);

        grpMassstab.setText("Ma\u00DFstab");

        GridLayout gl_group = new GridLayout();

        gl_group.numColumns = AR_MASSSTAB_NAMEN.length;
        grpMassstab.setLayout(gl_group);

        for (int i = 0; i < AR_MASSSTAB_NAMEN.length; i++) {
            Button rbtn = new Button(grpMassstab, SWT.RADIO);

            rbtn.addSelectionListener(new SelectionAdapter() {
                public void widgetSelected(final SelectionEvent e) {
                    _guiVew.massstabSelektiert();
                }
            });
            rbtn.setText(AR_MASSSTAB_NAMEN[i]);
            _arRbtnMassstab[i] = rbtn;
        }

        //
        _scompKarte = new ScrolledComposite(compAllgemein, SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL);
        _scompKarte.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
        _scompKarte.setExpandHorizontal(true);
        _scompKarte.setExpandVertical(true);
        _scompKarte.getHorizontalBar().setIncrement(100);
        _scompKarte.getHorizontalBar().setPageIncrement(300);
        _scompKarte.getVerticalBar().setIncrement(100);
        _scompKarte.getVerticalBar().setPageIncrement(300);

        Composite compKarte = new Composite(_scompKarte, SWT.NONE);

        compKarte.setLayout(new GridLayout(1, false));

        // Zeichnung Karte:
        _canvasKarte = new Canvas(compKarte, SWT.BORDER | SWT.NO_BACKGROUND);
        _canvasKarte.setBackground(KonstantenGUIResource.FARBE_WEIS);
        _canvasKarte.addPaintListener(new PaintListener() {
            @Override
            public void paintControl(PaintEvent e) {
                _guiVew.zeichneKarte(e);
            }
        });
        _canvasKarte.addMouseMoveListener(new MouseMoveListener() {
            @Override
            public void mouseMove(MouseEvent e) {
                _guiVew.mausUeberDerKarte(e);
            }
        });
        _canvasKarte.addMouseListener(new MouseAdapter() {
            @Override
            public void mouseDoubleClick(MouseEvent e) {
                _guiVew.mouseDoppelClickAufDerKarte();
            }
            @Override
            public void mouseDown(MouseEvent e) {
                if (e.button == 3) {
                    _guiVew.mausUeberDerKarte(e);
                    _guiVew.erstelleKontextMenu();
                }
            }
        });

        //
        _scompKarte.setContent(compKarte);
        _scompKarte.setMinSize(compKarte.computeSize(SWT.DEFAULT, SWT.DEFAULT));

        Composite compVew2 = new Composite(compAllgemein, SWT.NONE);

        compVew2.setLayout(new GridLayout(1, false));
        compVew2.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, false, false, 1, 1));

        Group grpLetzteStatusAenderung = new Group(compVew2, SWT.NONE);

        grpLetzteStatusAenderung.setText("Letzte Status\u00E4nderung");
        grpLetzteStatusAenderung.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 1, 1));
        grpLetzteStatusAenderung.setLayout(new GridLayout(1, false));
        _lbLetzteStatusAenderung = new Label(grpLetzteStatusAenderung, SWT.NONE);
        _lbLetzteStatusAenderung.setAlignment(SWT.CENTER);
        _lbLetzteStatusAenderung.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false, 1, 1));
        _lbLetzteStatusAenderung.setText("keine Meldung von DaV");
        _lbLetzteStatusAenderung.setToolTipText("");

        Group grpElementZentrieren = new Group(compVew2, SWT.NONE);

        grpElementZentrieren.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 1, 1));
        grpElementZentrieren.setText("Element zentrieren");
        grpElementZentrieren.setLayout(new GridLayout(1, false));

        Label lblZaehlstelle = new Label(grpElementZentrieren, SWT.NONE);

        lblZaehlstelle.setText("Z\u00E4hlstelle:");
        _txtZsFilter = new Text(grpElementZentrieren, SWT.BORDER);
        _txtZsFilter.addModifyListener(new ModifyListener() {
            public void modifyText(ModifyEvent e) {
                _guiVew.txtZsFilterGeaendert();
            }
        });
        _txtZsFilter.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
        _comboZs = new Combo(grpElementZentrieren, SWT.READ_ONLY);
        _comboZs.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                _guiVew.comboZentierenSelektiert(e.getSource());
            }
        });
        _comboZs.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));

        Label lblKr2i_b = new Label(grpElementZentrieren, SWT.NONE);

        lblKr2i_b.setText("KRI2_B:");
        _comboKri2_b = new Combo(grpElementZentrieren, SWT.READ_ONLY);
        _comboKri2_b.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                _guiVew.comboZentierenSelektiert(e.getSource());
            }
        });
        _comboKri2_b.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));

        Label lblKri2b = new Label(grpElementZentrieren, SWT.NONE);

        lblKri2b.setText("KRI2B:");
        _comboKri2b = new Combo(grpElementZentrieren, SWT.READ_ONLY);
        _comboKri2b.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                _guiVew.comboZentierenSelektiert(e.getSource());
            }
        });
        _comboKri2b.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));

        Group grpDarzustellendeElemente = new Group(compVew2, SWT.NONE);

        grpDarzustellendeElemente.setText("Darzustellende Elemente");
        grpDarzustellendeElemente.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 1, 1));
        grpDarzustellendeElemente.setLayout(new GridLayout(1, false));
        _cbtnZaehlstellen = new Button(grpDarzustellendeElemente, SWT.CHECK);
        _cbtnZaehlstellen.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                _guiVew.cbtnDarzustellendeElementeSelektiert();
            }
        });
        _cbtnZaehlstellen.setText("Zhlstellen");
        _cbtnKri2_b = new Button(grpDarzustellendeElemente, SWT.CHECK);
        _cbtnKri2_b.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                _guiVew.cbtnDarzustellendeElementeSelektiert();
            }
        });
        _cbtnKri2_b.setText("KRI2_B");
        _cbtnKri2b = new Button(grpDarzustellendeElemente, SWT.CHECK);
        _cbtnKri2b.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                _guiVew.cbtnDarzustellendeElementeSelektiert();
            }
        });
        _cbtnKri2b.setText("KRI2B");

        //
        scompAllgemein.setContent(compAllgemein);
        scompAllgemein.setMinSize(compAllgemein.computeSize(SWT.DEFAULT, SWT.DEFAULT));
    }

    @Override
    public void update(ResultData[] results) {
        _guiVew.update(results);
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 23.10.13
