/*
 * @(#)IDavArchiv.java   08.10.13
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.projektlib.dav;

//~ INTERFACES ================================================================

/**
 * Interface wird von Klassen implementiert, die sich als Listener auf die nderungen vom Archiv-Status
 * bei der {@link DavArchivVew} ber die Methode {@link DavArchivVew#addArchivListener(IDavArchiv)} anmelden.
 * </p>
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 0 $ / $Date: 2008-01-01 00:00:00 +0200 (So, 27 Mai 2007) $ / ($Author: LG $)
 */
public interface IDavArchiv {

    /**
     * Interface Methode, die von der {@link DavArchivVew} fr alle registrierten
     * Listener auf nderungen vom Archiv-Status aufgerufen wird.
     *
     * Achtung: fr GUI ber display.syncExec() aufrufen.
     *
     * @param archivVerfuegbar Verfgbarkeit des Archivs.
     */
    public void archivStatusGeaendert(boolean archivVerfuegbar);
}


//~Formatiert mit 'inovat Kodierkonvention' am 28.10.13
