/*
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package de.inovat.buv.projektlib.praeferenzseiten;

//~ INTERFACES ================================================================

/**
 * Interface wird von Klassen implementiert, die sich als Listener auf nderungen des Voreinstellungsordners
 * bei der Klasse WorkbenchPreferencePageOrdner ({@link WorkbenchPreferencePageOrdner})
 * ber die Methode {#link WorkbenchPreferencePageOrdner.addOrderListener()} anmelden.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 22 $ / $Date: 2013-09-24 15:51:26 +0200 (Di, 24 Sep 2013) $ / ($Author: LG $)
 */
public interface IOrdnerAenderung {

    /**
     * Die Liste von gespeicherten Filtern wird gendert.
     */
    public void voreinstellungsOrdnerGeaendert();
}


//~Formatiert mit 'inovat Kodierkonvention' am 01.12.09
