/*
 * Copyright 2008 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kni, Kln
 * <p>
 * This file is part of de.inovat.pat.datkat2html
 * <p>
 * de.inovat.pat.datkat2html is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * <p>
 * de.inovat.pat.datkat2html is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * <p>
 * You should have received a copy of the GNU General Public License
 * along with de.inovat.pat.datkat2html; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * <p>
 * Contact Information:<br>
 * inovat, Dipl.-Ing. H. C. Kni<br>
 * Klner Strae 30<br>
 * 50859 Kln<br>
 * Phone: +49 2234 4301 800<br>
 * mailto: info@inovat.de
 */
package de.inovat.pat.datkat2html.ausgabe.beschreibung;

import java.util.ArrayList;
import java.util.List;

/**
 * Klasse verwaltet dtd-Element attributgruppenDefinition.
 * 
 * <!ELEMENT attributgruppenDefinition ( info, aspekt*, (attribut|attributliste|attributauswahl)+ ) >
 * <!ATTLIST attributgruppenDefinition
 *  	pid ID #REQUIRED
 *  	name CDATA #IMPLIED
 *  	konfigurierend (ja|nein) "nein"
 *  	parametrierend (ja|nein) "nein"
 *  	code CDATA #IMPLIED
 * >
 * 
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 408 $ / $Date: 2010-04-06 08:14:07 +0200 (Di, 06. Apr 2010) $ / ($Author: HCK $)
 */

public class AttributgruppenDefinitionBeschreibung {
// ------------------------------------------------------------------------
// VARIABLENDEKLARATIONEN
// ------------------------------------------------------------------------

// Private ----------------------------------------------------------------
	/** bersicht der AttributgruppenDefinitionBeschreibung. */
	private Uebersicht _uebersicht;

	/** Konfigurierend (ja|nein) */
	private String _konfigurierend;

	/** parametrierend (ja|nein) */
	private String _parametrierend;

	/** Code (kann null sein). */
	private String _code;

	/** Liste der AspektBeschreibungen. */
	private List<AspektBeschreibung> _listeAspektBeschreibung=new ArrayList<AspektBeschreibung>();

	/** Liste der AttributBeschreibungen. */
	private List<AttributBeschreibung> _listeAttributBeschreibung=new ArrayList<AttributBeschreibung>();

	/** Liste der AttributlistenBeschreibungen. */
	private List<AttributlistenBeschreibung> _listeAttributListenBeschreibung=new ArrayList<AttributlistenBeschreibung>();

	/** Liste der AttributauswahlBeschreibungen. */
	private List<AttributauswahlBeschreibung> _listeAttributAuswahlBeschreibung=new ArrayList<AttributauswahlBeschreibung>();

// ------------------------------------------------------------------------
// KONSTRUKTOREN  (und vom Konstruktor verwende Methoden)
// ------------------------------------------------------------------------

	/**
	 * Erzeugt eine Instanz der Klasse AttributgruppenDefinitionBeschreibung.
	 *
	 * @param uebersicht
	 * @param konfigurierend
	 * @param parametrierend
	 * @param code
	 */
	public AttributgruppenDefinitionBeschreibung(Uebersicht uebersicht,
			String konfigurierend, String parametrierend, String code) {
		_uebersicht = uebersicht;
		_konfigurierend = konfigurierend;
		_parametrierend = parametrierend;
		_code = code;
	}

// ------------------------------------------------------------------------
// GETTER / SETTER METHODEN
// ------------------------------------------------------------------------

	/**
	 * Getter fr Eigenschaft 'code'.
	 *
	 * @return Wert der Eigenschaft 'code'.
	 *
	 * @see  {#link _code}
	 */
	public String getCode() {
		return _code;
	}

	/**
	 * Getter fr Eigenschaft 'konfigurierend'.
	 *
	 * @return Wert der Eigenschaft 'konfigurierend'.
	 *
	 * @see  {#link _konfigurierend}
	 */
	public String getKonfigurierend() {
		return _konfigurierend;
	}

	/**
	 * Getter fr Eigenschaft 'listeAspektBeschreibung'.
	 *
	 * @return Wert der Eigenschaft 'listeAspektBeschreibung'.
	 *
	 * @see  {#link _listeAspektBeschreibung}
	 */
	public List<AspektBeschreibung> getListeAspektBeschreibung() {
		return _listeAspektBeschreibung;
	}

	/**
	 * Getter fr Eigenschaft 'listeAttributAuswahlBeschreibung'.
	 *
	 * @return Wert der Eigenschaft 'listeAttributAuswahlBeschreibung'.
	 *
	 * @see  {#link _listeAttributAuswahlBeschreibung}
	 */
	public List<AttributauswahlBeschreibung> getListeAttributAuswahlBeschreibung() {
		return _listeAttributAuswahlBeschreibung;
	}

	/**
	 * @param listeAttributAuswahlBeschreibung listeAttributAuswahlBeschreibung
	 */
	public void setListeAttributAuswahlBeschreibung(
			List<AttributauswahlBeschreibung> listeAttributAuswahlBeschreibung) {
		if(listeAttributAuswahlBeschreibung!=null){
			_listeAttributAuswahlBeschreibung = listeAttributAuswahlBeschreibung;
		}
		else{
			_listeAttributAuswahlBeschreibung=new ArrayList<AttributauswahlBeschreibung>();
		}
	}

	/**
	 * Getter fr Eigenschaft 'listeAttributBeschreibung'.
	 *
	 * @return Wert der Eigenschaft 'listeAttributBeschreibung'.
	 *
	 * @see  {#link _listeAttributBeschreibung}
	 */
	public List<AttributBeschreibung> getListeAttributBeschreibung() {
		return _listeAttributBeschreibung;
	}

	/**
	 * @param listeAttributBeschreibung listeAttributBeschreibung
	 */
	public void setListeAttributBeschreibung(
			List<AttributBeschreibung> listeAttributBeschreibung) {
		if(listeAttributBeschreibung!=null){
			_listeAttributBeschreibung = listeAttributBeschreibung;
		}
		else{
			_listeAttributBeschreibung=new ArrayList<AttributBeschreibung>();
		}
	}

	/**
	 * Getter fr Eigenschaft 'listeAttributListenBeschreibung'.
	 *
	 * @return Wert der Eigenschaft 'listeAttributListenBeschreibung'.
	 *
	 * @see  {#link _listeAttributListenBeschreibung}
	 */
	public List<AttributlistenBeschreibung> getListeAttributListenBeschreibung() {
		return _listeAttributListenBeschreibung;
	}

	/**
	 * @param listeAttributListenBeschreibung listeAttributListenBeschreibung
	 */
	public void setListeAttributListenBeschreibung(
			List<AttributlistenBeschreibung> listeAttributListenBeschreibung) {
		if(listeAttributListenBeschreibung!=null){
			_listeAttributListenBeschreibung = listeAttributListenBeschreibung;
		}
		else{
			_listeAttributListenBeschreibung=new ArrayList<AttributlistenBeschreibung>();
		}
	}

	/**
	 * Getter fr Eigenschaft 'parametrierend'.
	 *
	 * @return Wert der Eigenschaft 'parametrierend'.
	 *
	 * @see  {#link _parametrierend}
	 */
	public String getParametrierend() {
		return _parametrierend;
	}

	/**
	 * Getter fr Eigenschaft 'uebersicht'.
	 *
	 * @return Wert der Eigenschaft 'uebersicht'.
	 *
	 * @see  {#link _uebersicht}
	 */
	public Uebersicht getUebersicht() {
		return _uebersicht;
	}

	/**
	 * @param listeAspektBeschreibung listeAspektBescreibung
	 */
	public void setListeAspektBescreibung(
			List<AspektBeschreibung> listeAspektBeschreibung) {
		if(listeAspektBeschreibung!=null){
			_listeAspektBeschreibung = listeAspektBeschreibung;
		}
		else{
			_listeAspektBeschreibung=new ArrayList<AspektBeschreibung>();
		}
	}
}
