/*
 * Copyright 2008 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kni, Kln
 * <p>
 * This file is part of de.inovat.pat.datkat2html
 * <p>
 * de.inovat.pat.datkat2html is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * <p>
 * de.inovat.pat.datkat2html is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * <p>
 * You should have received a copy of the GNU General Public License
 * along with de.inovat.pat.datkat2html; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * <p>
 * Contact Information:<br>
 * inovat, Dipl.-Ing. H. C. Kni<br>
 * Klner Strae 30<br>
 * 50859 Kln<br>
 * Phone: +49 2234 4301 800<br>
 * mailto: info@inovat.de
 */

package de.inovat.pat.datkat2html.vew;

/**
 * Klasse zur Verwaltung des KonfigurationsBereichs.
 *
 * @author inovat, innovative systeme - verkehr - tunnel - technik
 * @author Dipl.-Ing. Hans Christian Kni (HCK)
 * @version $Revision: 408 $ / $Date: 2010-04-06 08:14:07 +0200 (Di, 06. Apr 2010) $ / ($Author: HCK $)
 */

public class KonfigurationsBereich {
// ------------------------------------------------------------------------
// VARIABLENDEKLARATIONEN
// ------------------------------------------------------------------------

// Private ----------------------------------------------------------------
	/** Definiert, ob das Model vom KonfigurationsBereich ausgegeben werden soll. */
	private boolean _modell;
	/** Definiert, ob die Objekte vom KonfigurationsBereich ausgegeben werden soll. */
	private boolean _objekt;
	/** PID vom KonfigurationsVerantwortliche. */
	private String _kv;
	/** PID von KonfigurationsBereich. */
	private String _kb;
	/** Absoluter Pfad zur XMLDatei, wo der KonfigurationsBereich definiert ist. */
	private String _pfad;

// ------------------------------------------------------------------------
// KONSTRUKTOREN  (und vom Konstruktor verwende Methoden)
// ------------------------------------------------------------------------

	/**
	 * Erzeugt eine Instanz der Klasse KonfigurationsBereich.
	 * (wird von XMLDecoder bentigt.)
	 */
	public KonfigurationsBereich(){
	}

	/**
	 * Erzeugt eine Instanz der Klasse KonfigurationsBereich.
	 *
	 * @param modell Definiert, ob das Model vom KonfigurationsBereich ausgegeben werden soll.
	 * @param objekt Definiert, ob die Objekte vom KonfigurationsBereich ausgegeben werden soll.
	 * @param kv PID vom KonfigurationsVerantwortliche.
	 * @param kb PID von KonfigurationsBereich.
	 * @param pfad Absoluter Pfad zur XMLDatei, wo der KonfigurationsBereich definiert ist.
	 */
	public KonfigurationsBereich(boolean modell, boolean objekt, String kv,
			String kb, String pfad) {
		_modell = modell;
		_objekt = objekt;
		_kv = kv;
		_kb = kb;
		_pfad = pfad;
	}

// ------------------------------------------------------------------------
// GETTER / SETTER METHODEN
// ------------------------------------------------------------------------

	/**
	 * Getter fr Eigenschaft '_kb'.
	 *
	 * @return Wert der Eigenschaft '_kb'.
	 *
	 * @see {#link _kb}
	 */
	public String getKb() {
		return _kb;
	}

	/**
	 * Setter fr Eigenschaft '_kb'.
	 *
	 * @param isAbbruch Wert zum Setzen der Eigenschaft '_kb'.
	 *
	 * @see {#link _kb}
	 */
	public void setKb(String kb) {
		_kb = kb;
	}

	/**
	 * Getter fr Eigenschaft '_kv'.
	 *
	 * @return Wert der Eigenschaft '_kv'.
	 *
	 * @see {#link _kv}
	 */
	public String getKv() {
		return _kv;
	}

	/**
	 * Setter fr Eigenschaft '_kv'.
	 *
	 * @param isAbbruch Wert zum Setzen der Eigenschaft '_kv'.
	 *
	 * @see {#link _kv}
	 */
	public void setKv(String kv) {
		_kv = kv;
	}

	/**
	 * Getter fr Eigenschaft '_pfad'.
	 *
	 * @return Wert der Eigenschaft '_pfad'.
	 *
	 * @see {#link _pfad}
	 */
	public String getPfad() {
		return _pfad;
	}

	/**
	 * Setter fr Eigenschaft '_pfad'.
	 *
	 * @param isAbbruch Wert zum Setzen der Eigenschaft '_pfad'.
	 *
	 * @see {#link _pfad}
	 */
	public void setPfad(String pfad) {
		_pfad = pfad;
	}

	/**
	 * Getter fr Eigenschaft '_modell'.
	 *
	 * @return Wert der Eigenschaft '_modell'.
	 *
	 * @see {#link _modell}
	 */
	public boolean isModell() {
		return _modell;
	}

	/**
	 * Setter fr Eigenschaft '_modell'.
	 *
	 * @param isAbbruch Wert zum Setzen der Eigenschaft '_modell'.
	 *
	 * @see {#link _modell}
	 */
	public void setModell(boolean modell) {
		_modell = modell;
	}

	/**
	 * Getter fr Eigenschaft '_objekt'.
	 *
	 * @return Wert der Eigenschaft '_objekt'.
	 *
	 * @see {#link _objekt}
	 */
	public boolean isObjekt() {
		return _objekt;
	}

	/**
	 * Setter fr Eigenschaft '_objekt'.
	 *
	 * @param isAbbruch Wert zum Setzen der Eigenschaft '_objekt'.
	 *
	 * @see {#link _objekt}
	 */
	public void setObjekt(boolean objekt) {
		_objekt = objekt;
	}
}
