/*
 * @(#)De.java   09.02.10
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.gtm.datvew.tls;

//~ NICHT JDK IMPORTE =========================================================

import de.bsvrz.dav.daf.main.config.SystemObject;

import de.inovat.buv.gtm.datvew.konstanten.KonstantenGTMGUIResource;
import de.inovat.buv.gtm.datvew.lib.ISystemObjekt;

import org.eclipse.swt.graphics.Image;

//~ KLASSEN ===================================================================

public class De implements ISystemObjekt {

    // System Object de
    private SystemObject _de;

    /** bergeordnetes EAK dieses DE */
    private Eak _ueberGeordnetesEak;

    //~ KONSTRUKTOREN  (und vom Konstruktor verwendete Methoden) ==============

    /**
     * Erzeugt eine Instanz der Klasse De.
     *
     * @param so SystemObject.
     * @param ueberGeordnetesEak bergeordnetes EAK.
     */
    public De(SystemObject so, Eak ueberGeordnetesEak) {
        _de                 = so;
        _ueberGeordnetesEak = ueberGeordnetesEak;
    }

    //~ GET METHODEN ==========================================================

    @Override
    public Image getImage() {
        return KonstantenGTMGUIResource.ermittleImage(_de);
    }

    @Override
    public SystemObject getSystemObjekt() {
        return _de;
    }

    /**
     * Getter fr Eigenschaft 'ueberGeordnetesEak'.
     *
     * @return Wert der Eigenschaft 'ueberGeordnetesEak'.
     *
     * @see #_ueberGeordnetesEak
     */
    public Eak getUeberGeordnetesEak() {
        return _ueberGeordnetesEak;
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 22.02.13
