/*
 * @(#)DatumZeitMitSchritt.java   06.11.13
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.inovat.lib.gui.nebula;

//~ NICHT JDK IMPORTE =========================================================

import org.eclipse.swt.widgets.Composite;

//~ KLASSEN ===================================================================

/**
 * Klasse erweitert CDateTime von Nebula-Projekt um einen Minutenschritt zu setzen.
 * Dazu werden die Klassen von org.eclipse.nebula.widgets.cdatetime Version 0.14.0.201310241250
 * nach de.inovat.buv.inovat.lib.gui.nebula kopiert, als protected deklariert (auer CDT.java) und angepasst.
 *
 * Anpassungen sind mit 'TODO Minutenschritt eingebaut:' markiert.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 0 $ / $Date: 2008-01-01 00:00:00 +0200 (So, 27 Mai 2007) $ / ($Author: LG $)
 */
public class DatumZeitMitSchritt extends CDateTime {

    /** Schritt fr die Minuten. */
    private int _minutenSchritt = 1;

    //~ KONSTRUKTOREN  (und vom Konstruktor verwendete Methoden) ==============

    /**
     * Erzeugt eine Instanz der Klasse DatumZeitMitSchritt.
     *
     * @param parent Parent.
     * @param style Style.
     * @param minutenSchritt MinutenSchritt.
     */
    public DatumZeitMitSchritt(Composite parent, int style, int minutenSchritt) {
        super(parent, style);

        //
        setMinutenSchritt(minutenSchritt);
    }

    //~ METHODEN ==============================================================

    @Override
    protected void createPicker_erweitert(AnalogTimePicker atp) {
        atp.setSnap(_minutenSchritt, 1);
    }

    //~ GET METHODEN ==========================================================

    /**
     * Getter fr Eigenschaft 'minutenSchritt'.
     *
     * @return Wert der Eigenschaft 'minutenSchritt'.
     *
     * @see #_minutenSchritt
     */
    public int getMinutenSchritt() {
        return _minutenSchritt;
    }

    //~ SET METHODEN ==========================================================

    /**
     * Setter fr Eigenschaft 'minutenSchritt'.
     *
     * @param minutenSchritt Wert zum Setzen der Eigenschaft 'minutenSchritt'.
     *
     * @see #_minutenSchritt
     */
    public void setMinutenSchritt(int minutenSchritt) {
        _minutenSchritt = minutenSchritt;
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 07.11.13
