/*
 * @(#)DatumObjekt.java   31.08.11
 *
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.plugin.gtm.navigation.tabellen;

//~ NICHT JDK IMPORTE =========================================================

import de.inovat.buv.inovat.lib.funktionen.datum.DatumFunktionen;

//~ KLASSEN ===================================================================

/**
 * Klasse stellt den Zeitpunkt dar und implementiert die Methoden compareTo() und
 * toString() fr die richtige Sortierung und Tabellendarstellung der DatumFelder.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 155 $ / $Date: 2014-10-07 11:11:48 +0200 (Di, 07 Okt 2014) $ / ($Author: LG $)
 */
public class DatumObjekt implements Comparable<Object> {
    private long _zeitpunkt;

    //~ KONSTRUKTOREN  (und vom Konstruktor verwendete Methoden) ==============

    /**
     * Erzeugt eine Instanz der Klasse DatumObjekt.
     *
     * @param zeitpunkt Datum als long.
     */
    public DatumObjekt(long zeitpunkt) {
        _zeitpunkt = zeitpunkt;
    }

    //~ METHODEN ==============================================================

    @Override
    public int compareTo(Object o) {
        if (o instanceof DatumObjekt) {
            Long zeitpunkt2 = ((DatumObjekt) o)._zeitpunkt;
            Long zeitpunkt1 = _zeitpunkt;

            return zeitpunkt1.compareTo(zeitpunkt2);
        }

        return 0;
    }

    @Override
    public String toString() {
        return DatumFunktionen.getDatumZeitAlsString(_zeitpunkt);
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 17.10.11
