/*
 * Copyright (c) 2008 by inovat, Dipl.-Ing. H. C. Kni
 * ALL RIGHTS RESERVED.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL inovat OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */



package de.inovat.buv.plugin.gtm.visualisierung.aktionen;

//~ NICHT JDK IMPORTE =========================================================

import de.inovat.buv.plugin.gtm.visualisierung.Activator;
import de.inovat.buv.plugin.gtm.visualisierung.ViewGanglinien;
import de.inovat.buv.plugin.gtm.visualisierung.ViewKarte;
import de.inovat.buv.projektlib.rechtevew.aktionen.AktionenVew;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

//~ KLASSEN ===================================================================

/**
 * Die Klasse registriert die Visualisierung-Aktionen.
 *
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 88 $ / $Date: 2012-03-09 16:20:38 +0100 (Fr, 09 Mrz 2012) $ / ($Author: LG $)
 */
public class AktionenVisualisierung extends AbstractHandler {
    public static final String ACTIVATOR_ID          = Activator.PLUGIN_ID;
    public static final String COMMAND_ID_GANGLINIE  = ACTIVATOR_ID + ".ganglinien";
    public static final String FUNKTION_ID_GANGLINIE = ACTIVATOR_ID + ".funktionen.ganglinien";
    public static final String COMMAND_ID_KARTE      = ACTIVATOR_ID + ".karte";
    public static final String FUNKTION_ID_KARTE     = ACTIVATOR_ID + ".funktionen.karte";

    //~ METHODEN ==============================================================

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        String commandId = event.getCommand().getId();

        if (commandId.equals(COMMAND_ID_GANGLINIE)) {
            AktionenVew.getInstanz().zeigeSicht(ViewGanglinien.ID);
        } else if (commandId.equals(COMMAND_ID_KARTE)) {
            AktionenVew.getInstanz().zeigeSicht(ViewKarte.ID);
        }

        return null;
    }
}


//~Formatiert mit 'inovat Kodierkonvention' am 23.10.13
