/*
 * Copyright 2008 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kni, Kln
 * <p>
 * This file is part of de.inovat.pat.datkat2html
 * <p>
 * de.inovat.pat.datkat2html is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * <p>
 * de.inovat.pat.datkat2html is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * <p>
 * You should have received a copy of the GNU General Public License
 * along with de.inovat.pat.datkat2html; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * <p>
 * Contact Information:<br>
 * inovat, Dipl.-Ing. H. C. Kni<br>
 * Klner Strae 30<br>
 * 50859 Kln<br>
 * Phone: +49 2234 4301 800<br>
 * mailto: info@inovat.de
 */
package de.inovat.pat.datkat2html.ausgabe.beschreibung;

/**
 * Klasse verwaltet dtd-Element bereich.
 * 
 * <!ELEMENT bereich ( info? ) >
 * <!ATTLIST bereich skalierung CDATA #IMPLIED >
 * <!ATTLIST bereich minimum CDATA #REQUIRED >
 * <!ATTLIST bereich maximum CDATA #IMPLIED >
 * <!ATTLIST bereich einheit CDATA #IMPLIED >
 * 
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 408 $ / $Date: 2010-04-06 08:14:07 +0200 (Di, 06. Apr 2010) $ / ($Author: HCK $)
 */

public class BereichBeschreibung {
// ------------------------------------------------------------------------
// VARIABLENDEKLARATIONEN
// ------------------------------------------------------------------------

// Private ----------------------------------------------------------------
	/** Info (kann null sein). */
	private InfoBeschreibung _info;

	/** Skalierung (kann null sein). */
	private String _skalierung;

	/** Minimum. */
	private String _minimum;

	/** Maximum (kann null sein). */
	private String _maximum;

	/** Einheit (kann null sein). */
	private String _einheit;

// ------------------------------------------------------------------------
// KONSTRUKTOREN  (und vom Konstruktor verwende Methoden)
// ------------------------------------------------------------------------

	/**
	 * Erzeugt eine Instanz der Klasse BereichBeschreibung.
	 *
	 * @param info
	 * @param skalierung
	 * @param minimum
	 * @param maximum
	 * @param einheit
	 */
	public BereichBeschreibung(InfoBeschreibung info, String skalierung,
			String minimum, String maximum, String einheit) {
		_info = info;
		_skalierung = skalierung;
		_minimum = minimum;
		_maximum = maximum;
		_einheit = einheit;
	}

// ------------------------------------------------------------------------
// GETTER / SETTER METHODEN
// ------------------------------------------------------------------------

	/**
	 * Getter fr Eigenschaft 'einheit'.
	 *
	 * @return Wert der Eigenschaft 'einheit'.
	 *
	 * @see  {#link _einheit}
	 */
	public String getEinheit() {
		return _einheit;
	}

	/**
	 * Getter fr Eigenschaft 'info'.
	 *
	 * @return Wert der Eigenschaft 'info'.
	 *
	 * @see  {#link _info}
	 */
	public InfoBeschreibung getInfo() {
		return _info;
	}

	/**
	 * Getter fr Eigenschaft 'maximum'.
	 *
	 * @return Wert der Eigenschaft 'maximum'.
	 *
	 * @see  {#link _maximum}
	 */
	public String getMaximum() {
		return _maximum;
	}

	/**
	 * Getter fr Eigenschaft 'minimum'.
	 *
	 * @return Wert der Eigenschaft 'minimum'.
	 *
	 * @see  {#link _minimum}
	 */
	public String getMinimum() {
		return _minimum;
	}

	/**
	 * Getter fr Eigenschaft 'skalierung'.
	 *
	 * @return Wert der Eigenschaft 'skalierung'.
	 *
	 * @see  {#link _skalierung}
	 */
	public String getSkalierung() {
		return _skalierung;
	}
}
