/*
 * Copyright 2008 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kni, Kln
 * <p>
 * This file is part of de.inovat.pat.datkat2html
 * <p>
 * de.inovat.pat.datkat2html is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * <p>
 * de.inovat.pat.datkat2html is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * <p>
 * You should have received a copy of the GNU General Public License
 * along with de.inovat.pat.datkat2html; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * <p>
 * Contact Information:<br>
 * inovat, Dipl.-Ing. H. C. Kni<br>
 * Klner Strae 30<br>
 * 50859 Kln<br>
 * Phone: +49 2234 4301 800<br>
 * mailto: info@inovat.de
 */
package de.inovat.pat.datkat2html.ausgabe.beschreibung;

/**
 * Klasse verwaltet dtd-Element menge.
 * 
 * <!ELEMENT menge  ( info? )>
 * <!ATTLIST menge
 *      pid NMTOKEN #REQUIRED
 * 		name CDATA #REQUIRED
 * 		erforderlich (ja|nein) "ja"
 * >
 * 
 * @author inovat
 * @author Liliya Givorgizova (LG)
 * @version $Revision: 408 $ / $Date: 2010-04-06 08:14:07 +0200 (Di, 06. Apr 2010) $ / ($Author: HCK $)
 */

public class MengenBeschreibung {
// ------------------------------------------------------------------------
// VARIABLENDEKLARATIONEN
// ------------------------------------------------------------------------

// Sonstige ---------------------------------------------------------------
	/** bersicht der MengenBeschreibung. */
	Uebersicht _uebersicht;

	/** Ist die Menge erforderlich (ja|nein)? */
	String _erforderlich;

	/** Die Definition vom Menge (kann null sein). */
	MengenDefinitionBeschreibung _mengenDefinitionBeschreibung;

// ------------------------------------------------------------------------
// KONSTRUKTOREN  (und vom Konstruktor verwende Methoden)
// ------------------------------------------------------------------------

	/**
	 * Erzeugt eine Instanz der Klasse MengenBeschreibung.
	 *
	 * @param uebersicht
	 * @param erforderlich
	 * @param mengenDefinitionBeschreibung
	 */
	public MengenBeschreibung(Uebersicht uebersicht, String erforderlich,
			MengenDefinitionBeschreibung mengenDefinitionBeschreibung) {
		_uebersicht = uebersicht;
		_erforderlich = erforderlich;
		_mengenDefinitionBeschreibung = mengenDefinitionBeschreibung;
	}

// ------------------------------------------------------------------------
// GETTER / SETTER METHODEN
// ------------------------------------------------------------------------

	/**
	 * Getter fr Eigenschaft 'erforderlich'.
	 *
	 * @return Wert der Eigenschaft 'erforderlich'.
	 *
	 * @see  {#link _erforderlich}
	 */
	public String getErforderlich() {
		return _erforderlich;
	}

	/**
	 * Getter fr Eigenschaft 'mengenDefinitionBeschreibung'.
	 *
	 * @return Wert der Eigenschaft 'mengenDefinitionBeschreibung'.
	 *
	 * @see  {#link _mengenDefinitionBeschreibung}
	 */
	public MengenDefinitionBeschreibung getMengenDefinitionBeschreibung() {
		return _mengenDefinitionBeschreibung;
	}

	/**
	 * Setter fr Eigenschaft 'mengenDefinitionBeschreibung'.
	 *
	 * @param mengenDefinitionBeschreibung Wert zum Setzen der Eigenschaft 'mengenDefinitionBeschreibung'.
	 *
	 * @see {#link _mengenDefinitionBeschreibung}
	 */
	public void setMengenDefinitionBeschreibung(
			MengenDefinitionBeschreibung mengenDefinitionBeschreibung) {
		_mengenDefinitionBeschreibung = mengenDefinitionBeschreibung;
	}

	/**
	 * Getter fr Eigenschaft 'uebersicht'.
	 *
	 * @return Wert der Eigenschaft 'uebersicht'.
	 *
	 * @see  {#link _uebersicht}
	 */
	public Uebersicht getUebersicht() {
		return _uebersicht;
	}
}
